CC=cc
LN=cc

CC_OPTS= -c -xO4
LN_OPTS= -o fixregcc -lm
LIB=
OBJ=fixreg.o vfm.o lssch.o standard.o lesen.o matrix.o regstan.o
HEAD=fixdefs.h fixglo.h 

fixreg: $(OBJ) fixregcc.mak
	$(LN) $(OBJ) $(LIB) $(LN_OPTS)

fixreg.o: fixreg.c vfm.h lssch.h standard.h lesen.h matrix.h regstan.h $(HEAD) fixregcc.mak
	$(CC) $(CC_OPTS) fixreg.c

vfm.o: vfm.c vfm.h $(HEAD) fixregcc.mak
	$(CC) $(CC_OPTS) vfm.c

lssch.o: matrix.h matrix.o lssch.c lssch.h $(HEAD) fixregcc.mak
	$(CC) $(CC_OPTS) lssch.c

regstan.o: regstan.c regstan.h standard.o standard.h $(HEAD) fixregcc.mak
	$(CC) $(CC_OPTS) regstan.c

standard.o: standard.c standard.h $(HEAD) fixregcc.mak
	$(CC) $(CC_OPTS) standard.c

lesen.o: lesen.c lesen.h $(HEAD) fixregcc.mak
	$(CC) $(CC_OPTS) lesen.c    

matrix.o: matrix.c matrix.h $(HEAD) fixregcc.mak
	$(CC) $(CC_OPTS) matrix.c
